"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var LOCK_FILE_NAME = {
    npm: 'package-lock.json',
    yarn: 'yarn.lock',
};
var INSTALL_COMMAND = {
    npm: 'npm install',
    yarn: 'yarn install',
};
var OutOfSyncError = /** @class */ (function (_super) {
    tslib_1.__extends(OutOfSyncError, _super);
    function OutOfSyncError(dependencyName, lockFileType) {
        var _this = _super.call(this, "Dependency " + dependencyName + " was not found in " +
            (LOCK_FILE_NAME[lockFileType] + ". Your package.json and ") +
            (LOCK_FILE_NAME[lockFileType] + " are probably out of sync. Please run ") +
            ("\"" + INSTALL_COMMAND[lockFileType] + "\" and try again.")) || this;
        _this.code = 422;
        _this.name = 'OutOfSyncError';
        _this.dependencyName = dependencyName;
        _this.lockFileType = lockFileType;
        Error.captureStackTrace(_this, OutOfSyncError);
        return _this;
    }
    return OutOfSyncError;
}(Error));
exports.OutOfSyncError = OutOfSyncError;
//# sourceMappingURL=out-of-sync-error.js.map